Table of Contents

Class: Int32StringReceiver | Twisted-0.17.4/twisted/protocols/basic.py
--- | ---

### A receiver for int32-prefixed strings.

An int32 string is a string prefixed by 4 bytes, the 32-bit length of the string encoded in network byte order.

This class publishes the same interface as NetstringReceiver.

Base Classes |
--- | ---
protocol.Protocol

Methods |
--- | ---
dataReceived sendString stringReceived
| dataReceived

    dataReceived ( self,  recd )

Convert int32 prefixed strings into calls to stringReceived.

| sendString

    sendString ( self,  data )

Send an int32-prefixed string to the other end of the connection.

| stringReceived

    stringReceived ( self,  msg )

Override this.

Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0